Name:           palp
Version:        2.1
Release:        alt1_2
Summary:        A Package for Analyzing Lattice Polytopes
Group:          Engineering
License:        GPLv3+
URL:            http://hep.itp.tuwien.ac.at/~kreuzer/CY/CYpalp.html
Source0:        http://hep.itp.tuwien.ac.at/~kreuzer/CY/palp/palp-%{version}.tar.gz
# No longer available direct link
# http://arxiv.org/pdf/1205.4147v1
Source1:	1205.4147v1.pdf
Source44: import.info

%description
PALP contains routines for vertex and facet enumeration, computation of
incidences and symmetries, as well as completion of the set of lattice
points in the convex hull of a given set of points. In addition, there
are procedures specialised to reflexive polytopes such as the enumeration
of reflexive subpolytopes, and applications to toric geometry and string
theory, like the computation of Hodge data and fibration structures for
toric Calabi-Yau varieties.


%prep
%setup -q


%build
cp -a %{SOURCE1} .

mkdir bin
mv Global.h Global.h-template
for dim in 4 5 6 11; do
    echo Building PALP optimized for $dim dimensions
    sed "s/^#define[^a-zA-Z]*POLY_Dmax.*/#define POLY_Dmax $dim/" Global.h-template > Global.h
    make %{?_smp_mflags} CFLAGS="%{optflags}"
    for file in poly class cws nef mori; do
        mv ${file}.x bin/${file}-${dim}d.x
    done
    make cleanall
done


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
pushd bin
    for exe in *.x; do
	install -m 755 $exe $RPM_BUILD_ROOT%{_bindir}/$exe
    done
popd
for file in poly class cws nef mori; do
    ln -sf ${file}-6d.x $RPM_BUILD_ROOT%{_bindir}/${file}.x
done

%files
%doc COPYING
%doc 1205.4147v1.pdf
%{_bindir}/*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 2.1-alt1_2
- initial fc import

